Index: EcnlProtoTool/trunk/asp3_dcre/.cproject
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/.cproject	(revision 331)
+++ EcnlProtoTool/trunk/asp3_dcre/.cproject	(revision 424)
@@ -12,13 +12,18 @@
 					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
+					<extension id="com.renesas.cdt.managedbuild.renesas.core.RenesasCompilerAssemblerErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
+					<extension id="com.renesas.cdt.managedbuild.core.buildRunnerErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
+					<extension id="org.eclipse.cdt.core.MakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
+					<extension id="org.eclipse.cdt.core.VCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
+					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
 				</extensions>
 			</storageModule>
 			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
-				<configuration artifactName="asp3_dcre" buildArtefactType="com.renesas.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=com.renesas.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf *.lst *.lis *.lpp *.map libgcc.a" description="" id="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252" name="Debug" parent="com.renesas.cdt.rz.debug.win32.configuration.Id">
+				<configuration artifactName="asp3_dcre" buildProperties="org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf *.lst *.lis *.lpp *.map libgcc.a" description="" id="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252" name="Debug">
 					<folderInfo id="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252." name="/" resourcePath="">
-						<toolChain id="com.renesas.cdt.rz.debug.win32.toolchain.Id.1330656554" name="KPIT GNUARM-NONE-EABI Toolchain" superClass="com.renesas.cdt.rz.debug.win32.toolchain.Id">
-							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.PE" id="com.renesas.cdt.rz.debug.win32.targetplatform.Id.2000849951" name="Target Platform" osList="all" superClass="com.renesas.cdt.rz.debug.win32.targetplatform.Id"/>
-							<builder buildPath="${workspace_loc:/asp3_dcre}/Debug" id="com.renesas.cdt.rz.debug.win32.builder.Id.1316838534" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="Builder" superClass="com.renesas.cdt.rz.debug.win32.builder.Id"/>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.libgen.Id.549450220" name="Library Generator" superClass="com.renesas.cdt.rz.debug.win32.tool.libgen.Id">
+						<toolChain id="com.renesas.cdt.rz.debug.win32.toolchain.Id.1330656554" name="KPIT GNUARM-NONE-EABI Toolchain">
+							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.PE" id="com.renesas.cdt.rz.debug.win32.targetplatform.Id.2000849951" name="Target Platform" osList="all"/>
+							<builder buildPath="${workspace_loc:/asp3_dcre}/Debug" id="com.renesas.cdt.rz.debug.win32.builder.Id.1316838534" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="Builder"/>
+							<tool id="com.renesas.cdt.rz.debug.win32.tool.libgen.Id.549450220" name="Library Generator">
 								<option id="com.renesas.cdt.core.LibraryGenerator.option.ctype.169331272" name="ctype.h : æå­ãæ±ããã§ãã¯ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.ctype" value="true" valueType="boolean"/>
 								<option id="com.renesas.cdt.core.LibraryGenerator.option.math.2060617615" name="math.h : ä¸è§é¢æ°ãªã©æ°å¤ã®è¨ç®ãè¡ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.math" value="true" valueType="boolean"/>
@@ -39,5 +44,5 @@
 								<option id="com.renesas.cdt.core.LibraryGenerator.option.misc37.611438064" name="Align branch targets to a power-of-two boundary (-falign-jumps)" superClass="com.renesas.cdt.core.LibraryGenerator.option.misc37" value="true" valueType="boolean"/>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.compiler.Id.2129676447" name="Compiler" superClass="com.renesas.cdt.rz.debug.win32.tool.compiler.Id">
+							<tool id="com.renesas.cdt.rz.debug.win32.tool.compiler.Id.2129676447" name="Compiler">
 								<option defaultValue="true" id="com.renesas.cdt.core.Compiler.option.misc2.474910942" name="æ¨æºã·ã¹ãã ã»ãã£ã¬ã¯ããªã¼ã§ãããã¼ã»ãã¡ã¤ã«ãæ¤ç´¢ããªã (-nostdinc)" superClass="com.renesas.cdt.core.Compiler.option.misc2" value="false" valueType="boolean"/>
 								<option id="com.renesas.cdt.rz.Debug.Compiler.option.architecture.283267340" name="ã¢ã¼ã­ãã¯ãã£ã¼" superClass="com.renesas.cdt.rz.Debug.Compiler.option.architecture" value="com.renesas.cdt.rz.Debug.Compiler.option.architecture.armv7a" valueType="enumerated"/>
@@ -97,9 +102,9 @@
 								</option>
 								<inputType id="%Base.Compiler.C.InputType.Id.479471606" name="C å
-¥å" superClass="%Base.Compiler.C.InputType.Id"/>
+¥å"/>
 								<inputType id="Base.Compiler.CPP.InputType.Id.1684974226" name="C++ å
-¥å" superClass="Base.Compiler.CPP.InputType.Id"/>
+¥å"/>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.assembler.Id.30934973" name="Assembler" superClass="com.renesas.cdt.rz.debug.win32.tool.assembler.Id">
+							<tool id="com.renesas.cdt.rz.debug.win32.tool.assembler.Id.30934973" name="Assembler">
 								<option id="com.renesas.cdt.rz.Debug.Assembler.option.architecture.1967834551" name="ã¢ã¼ã­ãã¯ãã£ã¼" superClass="com.renesas.cdt.rz.Debug.Assembler.option.architecture" value="com.renesas.cdt.rz.Debug.Assembler.option.architecture.armv7a" valueType="enumerated"/>
 								<option id="com.renesas.cdt.rz.Debug.Assembler.option.cpuType.907440326" name="CPU ã¿ã¤ã" superClass="com.renesas.cdt.rz.Debug.Assembler.option.cpuType" value="com.renesas.cdt.rz.Debug.Assembler.option.cpuType.rza" valueType="enumerated"/>
@@ -112,7 +117,7 @@
 								</option>
 								<inputType id="%Base.Assembler.inputType.Id.63454341" name="ã¢ã»ã³ãã©ã¼å
-¥åã¿ã¤ã" superClass="%Base.Assembler.inputType.Id"/>
+¥åã¿ã¤ã"/>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.linker.Id.606735805" name="Linker" superClass="com.renesas.cdt.rz.debug.win32.tool.linker.Id">
+							<tool id="com.renesas.cdt.rz.debug.win32.tool.linker.Id.606735805" name="Linker">
 								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories.1968268518" name="ã¢ã¼ã«ã¤ãæ¤ç´¢ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories" valueType="stringList">
 									<listOptionValue builtIn="false" value="&quot;${CONFIGDIR}&quot;"/>
@@ -138,5 +143,5 @@
 								</option>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.objcopy.Id.106287146" name="Objcopy" superClass="com.renesas.cdt.rz.debug.win32.tool.objcopy.Id"/>
+							<tool id="com.renesas.cdt.rz.debug.win32.tool.objcopy.Id.106287146" name="Objcopy"/>
 						</toolChain>
 					</folderInfo>
@@ -147,8 +152,9 @@
 			</storageModule>
 			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
+			<storageModule moduleId="com.renesas.cdt.managedbuild.core.toolchainInfo"/>
 		</cconfiguration>
 	</storageModule>
 	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
-		<project id="asp3_dcre.com.renesas.cdt.rz.projectType.win32.Id.712445337" name="Executable (Renesas)" projectType="com.renesas.cdt.rz.projectType.win32.Id"/>
+		<project id="asp3_dcre.com.renesas.cdt.rz.projectType.win32.Id.712445337" name="Executable (Renesas)"/>
 	</storageModule>
 	<storageModule moduleId="scannerConfiguration">
